Subject: Add delete-button in filelist module
Description

I often get asked by my editors (400+) where the "delete file"-button is in the filelist module.
Naturally I tell them to use the delete option in the file context menu.

But it just seems odd to me that there is no delete button next to the already visible buttons to the right of the filename for renaming or
copying a file, etc. This would be a small but important step towards better usability.
(This might also be a reason why my editors rarely delete their files, and my fileadmin directory has grown to 50GB.)

Is there a reason that this button is hidden away or can someone or an extension implement it?

Related issues:
related to Core - Bug # 55371: Ajax handler TYPO3_tcefile::process is broken Resolved 2014-01-27
duplicates Core - Bug # 42294: Missing action button to delete a file Rejected 2012-10-23

Associated revisions
Revision 3053d0e0 - 2013-03-24 10:29 - Benjamin Mack

[FEATURE] Add delete button in file list

Currently it is not possible to delete a file or folder
in the file list. Additionally, there is translation and
error handling missing. The patch adds the trash
icon to the file list (if the user has the right) and
adds error and success messages.

Releases: 6.1, 6.0
Resolves: #44288
Change-Id: I0f5be642054819a4f01c5e70590e1da455b92af6
Reviewed-on: https://review.typo3.org/19155
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

Revision edb9fd34 - 2013-04-05 21:45 - Benjamin Mack

[FEATURE] Add delete button in file list

Currently it is not possible to delete a file or folder
in the file list. Additionally, there is translation and
error handling missing. The patch adds the trash
icon to the file list (if the user has the right) and
adds error and success messages.

Releases: 6.1, 6.0
Resolves: #44288
Change-Id: I3a68da487afc4b4718500c198963f05057dc6435
Reviewed-on: https://review.typo3.org/19240
Reviewed-by: Stefan Neufeind
Reviewed-by: Steffen Ritter
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History
#1 - 2013-01-04 16:11 - Christian Weiske

If you are talking about TYPO3 6.0: There is a patch already for that problem, see issue #42294.

#2 - 2013-01-09 15:49 - Andreas Wolf
- Status changed from New to Accepted

I think this is a bug (for 4.7 we won't implement new features anyways), so if it is fixed, it should be fixed in all supported versions.

#3 - 2013-03-21 22:14 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19155

#4 - 2013-03-21 22:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19155

#5 - 2013-03-22 09:28 - Christian Weiske

There is a patch already for this in #42294. Why don't you review that one instead of providing one yourself?

Your patch here is for master, which means 6.x anyway - so there is absolutely no need to duplicate the other issue.

#6 - 2013-03-24 10:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19155

#7 - 2013-03-24 10:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3053d0e0e535768222877809c56d6b76d2e4ebbc.

#8 - 2013-03-24 10:31 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/19240

#9 - 2013-04-05 22:31 - Benjamin Mack
- Status changed from Under Review to Resolved

Applied in changeset commit:edb9fd3414de30a3eb6ede157ff95ccb130a5407.
